Running sdlBasic Programs
sdlBasic programs are written as plain text files. You can use any sort of editor, as long as you save in plain text (.TXT) format. To run a program written in sdlBasic, you only have to have the sdlBasic executable, sdlbasic.exe (in Linux, sdlBasic) in the current directory, or somewhere in your path. If there are any includefiles, they must be in the same directory as the source file.
Running sdlBasic from the Command Line
If you use the Windows command line or Linux shell, you can simply type:
sdlbasic filename
where filename is the name of the file you want to run. For example, to run a program
called myprog.sdlbas, you would write:
sdlbasic myprog.sdlbas
There are some switch you can pass to the interpreter before it starts the program execution. They are:

--nosound | : prevents the starting of the SDL sound system
--nosocket | : prevents the starting of the SDL socket
--debug | : activate the debug mode
--nodefaults | : prevents the creation of default display when program starts
--version | : prints the sdlBasic release number
--help | : prints sdlBrt parameters list
--copyright | : prints copyright stuff
--license | : prints license stuff

so your command line would become:
sdlbasic myprog.sdlbas --nosound
on some Linux machines you may experience trouble with sound device if other applications are using sound card capables. Try starting program as shown here below to fix the problem.
artsdsp -m sdlbasic myprog.sdlbas
Running sdlBasic programs from Windows or KDE
The simplest method is just to associate an extension, such as .sdlbas with the sdlBrt.exe executable. Then you can just double-click files with that extension, and Windows or KDE will automatically launch the sdlBasic interpreter.